diff doc/interpreter/find-docstring-files.sh @ 9906:8d20fb66a0dc

more automake fixes
author John W. Eaton <jwe@octave.org>
date Thu, 03 Dec 2009 15:39:20 -0500
parents
children 2fc554ffbc28
line wrap: on
line diff
new file mode 100755
--- /dev/null
+++ b/doc/interpreter/find-docstring-files.sh
@@ -0,0 +1,22 @@
+#! /bin/sh
+
+if [ $# -ne 1 ]; then
+  echo "usage: find-docstring-files TOP-SRCDIR" 1>&2
+  exit 1
+fi
+
+## if there is a file in teh build directory tree, assume it is
+## the file we are looking for.  Otherwise, get the one from the
+## source tree.
+
+if [ -f "../../scripts/DOCSTRINGS" ]; then
+  echo "../../scripts/DOCSTRINGS"
+else
+  echo "$1/scripts/DOCSTRINGS"
+fi
+
+if [ -f "../../src/DOCSTRINGS" ]; then
+  echo "../../src/DOCSTRINGS"
+else
+  echo "$1/src/DOCSTRINGS"
+fi